#!/bin/sh

local ret=0
local flags="${1//[!zPpEeMmRrSs]}"
[ -n "${flags}" ] || return 0
shift

# Create PT_PAX marking (remove after migration)
for f in "$@"; do
	paxctl -q${flags} "${f}" >/dev/null 2>&1 && continue
	paxctl -qC${flags} "${f}" >/dev/null 2>&1 && continue
	paxctl -qc${flags} "${f}" >/dev/null 2>&1 && continue
	ret=1
done

# Create XATTR_PAX marking using attr
flags="${flags//z}"
[ -n "${flags//[!Ee]}" ] || flags="${flags}e"
for f in "$@"; do
	attr -q -s pax.flags -V "${flags}" "${f}" >/dev/null 2>&1 && continue
	ret=1
done

return $ret

